%define anolis_release 1

%global modname flask
%global srcname Flask

Name:           python-%{modname}
Version:        2.2.5
Release:        %{anolis_release}%{?dist}
Epoch:          1
Summary:        A micro-framework for Python based on Werkzeug, Jinja 2 and good intentions

License:        BSD
URL:            http://flask.pocoo.org/
Source0:        %{pypi_source}

BuildArch:      noarch

%global _description \
Flask is called a “micro-framework” because the idea to keep the core\
simple but extensible. There is no database abstraction layer, no form\
validation or anything else where different libraries already exist\
that can handle that. However Flask knows the concept of extensions\
that can add this functionality into your application as if it was\
implemented in Flask itself. There are currently extensions for object\
relational mappers, form validation, upload handling, various open\
authentication technologies and more.

%description %{_description}

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(werkzeug) >= 0.15
BuildRequires:  python3dist(jinja2) >= 2.10.1
BuildRequires:  python3dist(itsdangerous) >= 0.24
BuildRequires:  python3dist(click) >= 5.1
BuildRequires:  python3dist(pytest)
Obsoletes:      python2-%{modname} < 1:1.0.2-9

%description -n python3-%{modname} %{_description}

Python 3 version.

%package doc
Summary:        Documentation for %{name}
Obsoletes:      python3-%{modname}-doc < 1:0.11.1-3

%description doc
Documentation and examples for %{name}.

%prep
%autosetup -n %{srcname}-%{version}
rm -rf examples/flaskr/
rm -rf examples/minitwit/

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/%{modname}{,-%{python3_version}}
ln -s %{modname}-%{python3_version} %{buildroot}%{_bindir}/%{modname}-3
ln -sf %{modname}-3 %{buildroot}%{_bindir}/%{modname}

%check
# test_max_cookie_size fails on Python 3.12: https://github.com/pallets/flask/issues/5146
%pytest -Wdefault -k "not test_max_cookie_size"

%files -n python3-%{modname}
%license LICENSE.rst
%doc examples
%{_bindir}/%{modname}
%{_bindir}/%{modname}-3
%{_bindir}/%{modname}-%{python3_version}
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%files doc
%doc CHANGES.rst README.rst

%changelog
* Mon Sep 04 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:2.2.5-1
- Init upstream from version 2.2.5
